csDocumentNodeReadOnly Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csDocumentNodeReadOnly Class Reference

Partial iDocumentNode implementation with commonly duplicated logic and dummy implementations for manipulation methods. More...

`#include <csutil/documentcommon.h>`

Inheritance diagram for csDocumentNodeReadOnly:

List of all members.

## Public Member Functions
virtual void | SetValue (const char *)
| Dummy implementation for nodes that cannot be changed.
virtual void | SetValueAsInt (int)
| Dummy implementation for nodes that cannot be changed.
virtual void | SetValueAsFloat (float)
| Dummy implementation for nodes that cannot be changed.
virtual void | RemoveNode (const csRef< iDocumentNode > &)
| Dummy implementation for nodes that cannot be changed.
virtual void | RemoveNodes (csRef< iDocumentNodeIterator >)
| Dummy implementation for nodes that cannot be changed.
virtual void | RemoveNodes ()
| Dummy implementation for nodes that cannot be changed.
virtual csRef< iDocumentNode > | CreateNodeBefore (csDocumentNodeType, iDocumentNode *)
| Dummy implementation for nodes that cannot be changed.
virtual void | RemoveAttribute (const csRef< iDocumentAttribute > &)
| Dummy implementation for nodes that cannot be changed.
virtual void | RemoveAttributes ()
| Dummy implementation for nodes that cannot be changed.
virtual void | SetAttribute (const char *, const char *)
| Dummy implementation for nodes that cannot be changed.
virtual void | SetAttributeAsInt (const char *, int)
| Dummy implementation for nodes that cannot be changed.
virtual void | SetAttributeAsFloat (const char *, float)
| Dummy implementation for nodes that cannot be changed.

## Detailed Description

Partial iDocumentNode implementation with commonly duplicated logic and dummy implementations for manipulation methods.

Definition at line 156 of file documentcommon.h.

## Member Function Documentation

virtual csRef<iDocumentNode> csDocumentNodeReadOnly::CreateNodeBefore | ( | csDocumentNodeType | ,
|  | iDocumentNode * |
| ) |  | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 173 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveAttribute | ( | const csRef< iDocumentAttribute > & |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 177 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveAttributes | ( |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 178 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveNode | ( | const csRef< iDocumentNode > & |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 169 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveNodes | ( | csRef< iDocumentNodeIterator > |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 170 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::RemoveNodes | ( |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 171 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetAttribute | ( | const char * | ,
|  | const char * |
| ) |  | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 180 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetAttributeAsFloat | ( | const char * | ,
|  | float |
| ) |  | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Reimplemented from csDocumentNodeCommon.

Definition at line 182 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetAttributeAsInt | ( | const char * | ,
|  | int |
| ) |  | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Reimplemented from csDocumentNodeCommon.

Definition at line 181 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetValue | ( | const char * |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Implements iDocumentNode.

Definition at line 165 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetValueAsFloat | ( | float |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Reimplemented from csDocumentNodeCommon.

Definition at line 167 of file documentcommon.h.

virtual void csDocumentNodeReadOnly::SetValueAsInt | ( | int |  | ) | `[inline, virtual]`

Dummy implementation for nodes that cannot be changed.

Reimplemented from csDocumentNodeCommon.

Definition at line 166 of file documentcommon.h.

The documentation for this class was generated from the following file:

- csutil/documentcommon.h